# MarketingAddContactBody

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**email** | **String** | Email address of the contact | 
**listId** | **Integer** | ID of the contact list where this contact will be added | 
**format** | [**FormatEnum**](#FormatEnum) | Which format this contact should receive the email HTML &#x3D; Wil receive HTML version of the email TEXT &#x3D; Will receive simple text version |  [optional]
**isConfirmed** | [**IsConfirmedEnum**](#IsConfirmedEnum) | Confirmation status of the contact 0 &#x3D; Add this contact as unconfirmed 1 &#x3D; Add this contact as confirmed |  [optional]
**isActive** | [**IsActiveEnum**](#IsActiveEnum) | Status of the contact 0 &#x3D; Mark as inactive (will not receive emails) 1 &#x3D; Mark as active |  [optional]
**bounced** | [**BouncedEnum**](#BouncedEnum) | Bounced status of the contact 0 &#x3D; Add as not bounced 1 &#x3D; Add as soft bounced 2 &#x3D; Add as hard bounced |  [optional]
**isUnsubscribed** | [**IsUnsubscribedEnum**](#IsUnsubscribedEnum) | Subscription status of the contact 0 &#x3D; Mark as subscribed 1 &#x3D; Mark as unsubscribed |  [optional]
**isSpam** | [**IsSpamEnum**](#IsSpamEnum) | If this contact has produced a spam complaint 0 &#x3D; Mark as not having made a spam complaint 1 &#x3D; Mark as having made a complaint |  [optional]
**additionalProperties** | **String** | Set additional custom field values. The field “response” is reserved. For any date-based fields custom fields, the format needs to be \&quot;ISO 8601\&quot; which is: YYYY-MM-DD. |  [optional]

<a name="FormatEnum"></a>
## Enum: FormatEnum
Name | Value
---- | -----
HTML | &quot;HTML&quot;
TEXT | &quot;TEXT&quot;

<a name="IsConfirmedEnum"></a>
## Enum: IsConfirmedEnum
Name | Value
---- | -----
NUMBER_0 | 0
NUMBER_1 | 1

<a name="IsActiveEnum"></a>
## Enum: IsActiveEnum
Name | Value
---- | -----
NUMBER_0 | 0
NUMBER_1 | 1

<a name="BouncedEnum"></a>
## Enum: BouncedEnum
Name | Value
---- | -----
NUMBER_0 | 0
NUMBER_1 | 1
NUMBER_2 | 2

<a name="IsUnsubscribedEnum"></a>
## Enum: IsUnsubscribedEnum
Name | Value
---- | -----
NUMBER_0 | 0
NUMBER_1 | 1

<a name="IsSpamEnum"></a>
## Enum: IsSpamEnum
Name | Value
---- | -----
NUMBER_0 | 0
NUMBER_1 | 1
